package com.landray.kmss.sys.attachment.service;

import com.landray.kmss.sys.filestore.queue.dto.AddQueneParameter;
import com.landray.kmss.sys.attachment.forms.SysAttMainForm;
import com.landray.kmss.sys.filestore.model.SysAttFile;
import org.json.simple.JSONObject;
import net.sf.json.JSONArray;
import com.sunbor.web.tag.Page;
import com.landray.kmss.common.dao.HQLInfo;
import com.landray.kmss.sys.quartz.interfaces.SysQuartzJobContext;
import com.landray.kmss.sys.attachment.dao.ISysAttMainCoreInnerDao;
import java.util.Date;
import javax.servlet.http.HttpServletResponse;
import java.io.InputStream;
import com.landray.kmss.sys.attachment.model.SysAttRtfData;
import javax.servlet.http.HttpServletRequest;
import java.io.OutputStream;
import com.landray.kmss.sys.attachment.model.SysAttMain;
import com.landray.kmss.common.model.IBaseModel;
import java.util.List;
import com.landray.kmss.common.service.IBaseCoreInnerService;

public interface ISysAttMainCoreInnerService extends IBaseCoreInnerService
{
    List add(final List p0) throws Exception;
    
    String add(final IBaseModel p0, final Boolean p1, final Boolean p2) throws Exception;
    
    List update(final List p0) throws Exception;
    
    void deleteAtt(final String p0) throws Exception;
    
    void deleteAttFile(final String p0) throws Exception;
    
    SysAttMain cloneEasy(final SysAttMain p0) throws Exception;
    
    SysAttMain cloneDeeply(final SysAttMain p0) throws Exception;
    
    @Deprecated
    SysAttMain clone(final SysAttMain p0) throws Exception;
    
    @Deprecated
    SysAttMain clone(final SysAttMain p0, final Boolean p1) throws Exception;
    
    List findByModelKey(final String p0, final String p1, final String p2) throws Exception;
    
    List findModelKeys(final String p0, final String p1) throws Exception;
    
    List findAttListByModel(final String p0, final String p1) throws Exception;
    
    void findData(final String p0, final OutputStream p1) throws Exception;
    
    void findData(final String p0, final String p1, final OutputStream p2) throws Exception;
    
    void findData(final String p0, final String p1, final OutputStream p2, final HttpServletRequest p3) throws Exception;
    
    String addRtfData(final SysAttRtfData p0, final InputStream p1) throws Exception;
    
    void findRtfData(final String p0, final OutputStream p1, final HttpServletRequest p2, final HttpServletResponse p3) throws Exception;
    
    SysAttRtfData findRtfDataByPrimaryKey(final String p0) throws Exception;
    
    List findAttData(final Date p0, final Date p1) throws Exception;
    
    List findModelsByIds(final String[] p0) throws Exception;
    
    ISysAttMainCoreInnerDao getSysAttMainDao();
    
    String addAttachment(final IBaseModel p0, final String p1, final byte[] p2, final String p3, final String p4) throws Exception;
    
    String addAttachment(final IBaseModel p0, final String p1, final byte[] p2, final String p3, final String p4, final boolean p5) throws Exception;
    
    String addAttachment(final IBaseModel p0, final String p1, final byte[] p2, final String p3, final String p4, final boolean p5, final Integer p6) throws Exception;
    
    String addAttachment(final IBaseModel p0, final String p1, final byte[] p2, final String p3, final String p4, final boolean p5, final Integer p6, final boolean p7) throws Exception;
    
    String addSingleAttachment(final IBaseModel p0, final String p1, final byte[] p2, final String p3, final String p4) throws Exception;
    
    List getCorePropsModels(final IBaseModel p0, final String p1) throws Exception;
    
    Date getCurTimestamp() throws Exception;
    
    void updateClearAtt(final SysQuartzJobContext p0) throws Exception;
    
    void delTmpFile(final SysQuartzJobContext p0) throws Exception;
    
    Page findPage(final HQLInfo p0, final String p1, final String p2) throws Exception;
    
    SysAttMain addAttachment(final IBaseModel p0, final String p1, final InputStream p2, final String p3, final String p4, final Double p5, final String p6) throws Exception;
    
    SysAttMain addAttachment(final String p0, final String p1, final String p2, final byte[] p3, final String p4, final String p5) throws Exception;
    
    SysAttMain addAttachment(final String p0, final String p1, final String p2, final byte[] p3, final String p4, final String p5, final Boolean p6) throws Exception;
    
    void delete(final IBaseModel p0, final String p1) throws Exception;
    
    InputStream getInputStream(final String p0) throws Exception;
    
    InputStream getInputStream(final SysAttMain p0) throws Exception;
    
    InputStream getInputStreamByFile(final String p0) throws Exception;
    
    JSONArray findFilePath(final String p0) throws Exception;
    
    JSONObject restorefile(final String[] p0) throws Exception;
    
    List<String> getAttIds(final List<String> p0, final String p1, final String p2) throws Exception;
    
    List<SysAttFile> findNotExistMainBeforeByTime(final int p0) throws Exception;
    
    void addDownloadCount(final String p0) throws Exception;
    
    JSONObject findMainDocInfo(final String p0) throws Exception;
    
    void addFile(final String p0, final String p1, final String p2, final String p3) throws Exception;
    
    String getFilePath(final String p0) throws Exception;
    
    SysAttFile getFile(final String p0) throws Exception;
    
    SysAttFile getFileByFileId(final String p0) throws Exception;
    
    SysAttFile getFileByPath(final String p0) throws Exception;
    
    SysAttMain getAttMainByPath(final String p0) throws Exception;
    
    SysAttFile getFileByMd5(final String p0, final long p1) throws Exception;
    
    boolean validateDownloadSignature(final String p0, final String p1, final String p2) throws Exception;
    
    boolean validateDownloadSignatureRest(final String p0, final String p1, final String p2) throws Exception;
    
    void statistics(final HttpServletRequest p0, final SysAttMainForm p1) throws Exception;
    
    String getMainModuleName(final String p0) throws Exception;
    
    String[] getMainUrlAndName(final String p0, final String p1) throws Exception;
    
    String[] checkShare(final HttpServletRequest p0) throws Exception;
    
    SysAttMain addOnlineFile(final HttpServletRequest p0) throws Exception;
    
    SysAttMain addCloudOnlineFile(final HttpServletRequest p0) throws Exception;
    
    boolean updateRelation(final HttpServletRequest p0) throws Exception;
    
    boolean updateCloudRelation(final HttpServletRequest p0) throws Exception;
    
    JSONObject getWpsUrlAndToken(final HttpServletRequest p0) throws Exception;
    
    String getRestDownloadUrl(final String p0) throws Exception;
    
    String getRestDownloadUrl(final String p0, final String p1) throws Exception;
    
    List<SysAttMain> cloneDocAtts(final JSONArray p0) throws Exception;
    
    void updateByUser(final IBaseModel p0, final String p1) throws Exception;
    
    String downloadPluginXml(final String p0) throws Exception;
    
    SysAttMain addWpsOaassistOnlineFile(final HttpServletRequest p0) throws Exception;
    
    SysAttMain addWpsOaassistOnlineFile(final String p0, final String p1, final String p2, final String p3, final String p4, final String p5) throws Exception;
    
    SysAttMain addWpsOaassistOnlineFile(final SysAttMain p0) throws Exception;
    
    SysAttMain addJgOnlineFile(final SysAttMain p0, final HttpServletRequest p1) throws Exception;
    
    SysAttMain setWpsOnlineFile(final SysAttMain p0, final String p1, final String p2) throws Exception;
    
    SysAttMain setJgOnlineFile(final SysAttMain p0, final String p1, final String p2, final HttpServletRequest p3) throws Exception;
    
    SysAttMain addWpsCenterOnlineFile(final HttpServletRequest p0) throws Exception;
    
    InputStream readAttachment(final String p0) throws Exception;
    
    InputStream readAttachment(final SysAttFile p0) throws Exception;
    
    void writeAttachment(final InputStream p0, final SysAttFile p1) throws Exception;
    
    void writeAttachment(final InputStream p0, final String p1) throws Exception;
    
    boolean updateDelRelation(final String p0) throws Exception;
    
    void updateByTmpAttmainId(final String p0, final String p1) throws Exception;
    
    com.alibaba.fastjson.JSONObject addQueneByURL(final AddQueneParameter p0) throws Exception;
    
    SysAttMain addYozowoOnlineFile(final HttpServletRequest p0) throws Exception;
}
